//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MLoad(char *filename,char *password);
typedef long __stdcall MEncode(long id,long pageno);
typedef long __stdcall MEncodeEx(long id,long pageno,char *fname);
typedef long __stdcall MFree(long id);
typedef long __stdcall MGetCount(long id);
typedef long __stdcall MSetParam( long id,char *outpath,long imagetype,long bitcount,
				long mode,long quality,long grayscale,long other,
				long rotate,long width,long height,long xdpi,long ydpi);

typedef long __stdcall MGetWidth(long id,long pageno);
typedef long __stdcall MGetHeight(long id,long pageno);
typedef long __stdcall MSetWatermark(long id,char *text,char *fontname,long fontsize,long fontcolor,
									long isbold,long isitalic,long isunderline,long position,
									long xoff,long yoff);
typedef long __stdcall MExtractText(char *infile,char *password,char *outfile,long mode,long pagebreak);                                    
//---------------------------------------------------------------------------
const IMAGE_FORMAT_JPG = 1;
const IMAGE_FORMAT_JP2 = 2;
const IMAGE_FORMAT_JPC = 3;

//---------------------------------------------------------------------------
const JPEG_PROGRESSIVE	= 1;//Progressive JPEG
const JPEG_BASELINE		= 2;//Baseline JPEG
const JPEG_OPT_BASELINE = 3;//Optimized baseline JPEG

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TButton *Button2;
        TProgressBar *ProgressBar1;
    TButton *Button3;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall Button3Click(TObject *Sender);
private:	// User declarations
	HMODULE	m_hinstLib;
	MLoad           *pLoad;
	MEncode         *pEncode;
    MEncodeEx       *pEncodeEx;
	MFree           *pFree;
	MGetCount       *pGetCount;
	MSetParam       *pSetParam;
	MGetWidth	    *pMGetWidth;
	MGetHeight	    *pMGetHeight;
	MSetWatermark	*pSetWatermark;
	MExtractText	*pExtractText;
    
private:
	BOOL LoadPdfToJpegDll();
	BOOL FreePdfToJpegDll();
	void GetModulePath(char *out_path,char *in_name);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 