//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include "stdio.h"
#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "PDFTOJPEGLib_OCX"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void TForm1::GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void __fastcall TForm1::Button1Click(TObject *Sender)
{
	char infile[256],outpath[256];
	GetModulePath(infile,"test.pdf");
	GetModulePath(outpath,"outpath\\");

	long id = m_Pdftojpeg_ocx->XLoad((WideString)infile,NULL);
	if(id==-1){
        ShowMessage("PDF file unexist or damaged!");
		return;
	}
	if(id==-2){
        ShowMessage("PDF file is restricted!");
		return;
	}

	m_Pdftojpeg_ocx->XSetParam(id,(WideString)outpath,IMAGE_FORMAT_JPG,24,JPEG_PROGRESSIVE,75,0,0,0,0,0,96,96);

 	long fsize = 16;
	long fcolor = 255;//red
	long isbold = 0;
	long isitalic = 1;
	long isunderline = 1;
	long position = 2;//Top-Center
	long xoff = 0;
	long yoff = 0;
	m_Pdftojpeg_ocx->XSetWatermark(id,(WideString)"Watermark",(WideString)"Arial",fsize,fcolor,isbold,isitalic,isunderline,position,xoff,yoff);

	long pageCount = m_Pdftojpeg_ocx->XGetCount(id);
	long pageWidth = 0;
	long pageHeight = 0;
	for(long i=1; i<=pageCount; i++){
		pageWidth = m_Pdftojpeg_ocx->XGetWidth(id,i);
		pageHeight = m_Pdftojpeg_ocx->XGetHeight(id,i);

		m_Pdftojpeg_ocx->XEncode(id,i);
		ProgressBar1->Position = i*100/pageCount;
	}
	m_Pdftojpeg_ocx->XFree(id);

    ShowMessage("Convert finished!");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	char infile[256],outpath[256];
	GetModulePath(infile,"test.pdf");
	GetModulePath(outpath,"outpath\\");

	long id = m_Pdftojpeg_ocx->XLoad((WideString)infile,NULL);
	if(id==-1){
        ShowMessage("PDF file unexist or damaged!");
		return;
	}
	if(id==-2){
        ShowMessage("PDF file is restricted!");
		return;
	}

	m_Pdftojpeg_ocx->XSetParam(id,(WideString)outpath,IMAGE_FORMAT_JP2,24,0,75,0,0,90,800,600,120,120);

    char fname[256];
	long pageCount = m_Pdftojpeg_ocx->XGetCount(id);
	for(long i=1; i<=pageCount; i++){
		sprintf(fname,"new_name%02d",i);
		m_Pdftojpeg_ocx->XEncodeEx(id,i,(WideString)fname);
		ProgressBar1->Position = i*100/pageCount;
	}
	m_Pdftojpeg_ocx->XFree(id);

    ShowMessage("Convert finished!");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
	char infile[256],outfile[256];
	GetModulePath(infile,"test.pdf");
	GetModulePath(outfile,"output.txt");

	long txtmode=1;//1,2
	long pagebreak=1;//0,1
	m_Pdftojpeg_ocx->XExtractText((WideString)infile,(WideString)"password",(WideString)outfile,txtmode,pagebreak);

    ShowMessage("Convert finished!");    
}
//---------------------------------------------------------------------------

