﻿Public Class Form1
    'Image formats
    Const IMAGE_FORMAT_JPG = 1
    Const IMAGE_FORMAT_JP2 = 2
    Const IMAGE_FORMAT_JPC = 3

    'JPEG Mode
    Const JPEG_PROGRESSIVE = 1  'Progressive JPEG
    Const JPEG_BASELINE = 2     'Baseline JPEG
    Const JPEG_OPT_BASELINE = 3 'Optimized baseline JPEG

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer
        Dim pageWidth As Integer
        Dim pageHeight As Integer

        Dim fsize As Integer
        Dim fcolor As Integer
        Dim isbold As Integer
        Dim isitalic As Integer
        Dim isunderline As Integer
        Dim position As Integer

        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outPath As String = Application.StartupPath + "\output\"

        id = AxPdftojpeg.XLoad(inFile, "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        AxPdftojpeg.XSetParam(id, outPath, IMAGE_FORMAT_JPG, 24, JPEG_PROGRESSIVE, 75, 0, 0, 0, 0, 0, 96, 96)

        fsize = 16
        fcolor = 255 '//red
        isbold = 0
        isitalic = 1
        isunderline = 1
        position = 2 'Top-Center
        AxPdftojpeg.XSetWatermark(id, "Watermark", "Arial", fsize, fcolor, isbold, isitalic, isunderline, position, 0, 0)

        pageCount = AxPdftojpeg.XGetCount(id)
        For i = 1 To pageCount
            pageWidth = AxPdftojpeg.XGetWidth(id, i)
            pageHeight = AxPdftojpeg.XGetHeight(id, i)

            AxPdftojpeg.XEncode(id, i)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        AxPdftojpeg.XFree(id)
        MsgBox("Convert finished!")

    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer
        Dim fname As String

        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outPath As String = Application.StartupPath + "\output\"

        id = AxPdftojpeg.XLoad(inFile, "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        AxPdftojpeg.XSetParam(id, outPath, IMAGE_FORMAT_JP2, 24, 0, 75, 0, 0, 90, 800, 600, 120, 120)

        pageCount = AxPdftojpeg.XGetCount(id)
        For i = 1 To pageCount
            fname = "new_name" + Str(i)
            AxPdftojpeg.XEncodeEx(id, i, fname)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        AxPdftojpeg.XFree(id)
        MsgBox("Convert finished!")

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim txtmode As Integer
        Dim pagebreak As Integer
        Dim inFile As String = Application.StartupPath + "\test.pdf"
        Dim outFile As String = Application.StartupPath + "\output.txt"

        txtmode = 1 '1,2
        pagebreak = 1 '0,1
        AxPdftojpeg.XExtractText(inFile, "password", outFile, txtmode, pagebreak)

        MsgBox("Convert finished!")
    End Sub
End Class
