VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Object = "{B3335748-1C73-4460-9881-82C0D3154C7C}#1.0#0"; "PDFTOJ~1.OCX"
Begin VB.Form Form1 
   Caption         =   "vb"
   ClientHeight    =   3630
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   6540
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3630
   ScaleWidth      =   6540
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "Extract Text"
      Height          =   435
      Left            =   960
      TabIndex        =   4
      Top             =   2400
      Width           =   4455
   End
   Begin PDFTOJPEGLib.Pdftojpeg axPdftojpeg 
      Height          =   615
      Left            =   2880
      TabIndex        =   3
      Top             =   240
      Visible         =   0   'False
      Width           =   735
      _Version        =   65536
      _ExtentX        =   1296
      _ExtentY        =   1085
      _StockProps     =   0
   End
   Begin ComctlLib.ProgressBar ProgressBar2 
      Height          =   375
      Left            =   960
      TabIndex        =   2
      Top             =   1920
      Width           =   4455
      _ExtentX        =   7858
      _ExtentY        =   661
      _Version        =   327682
      Appearance      =   1
   End
   Begin VB.CommandButton Demo2 
      Caption         =   "Convert to JPEG 2000 file"
      Height          =   375
      Left            =   960
      TabIndex        =   1
      Top             =   1440
      Width           =   4455
   End
   Begin VB.CommandButton Demo 
      Caption         =   "Convert to JPEG file"
      Height          =   375
      Left            =   960
      TabIndex        =   0
      Top             =   960
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Image formats
Const IMAGE_FORMAT_JPG = 1
Const IMAGE_FORMAT_JP2 = 2
Const IMAGE_FORMAT_JPC = 3

'JPEG Mode
Const JPEG_PROGRESSIVE = 1  'Progressive JPEG
Const JPEG_BASELINE = 2     'Baseline JPEG
Const JPEG_OPT_BASELINE = 3 'Optimized baseline JPEG


Private Sub Command1_Click()
    Dim txtmode As Long
    Dim pagebreak As Long
        
    Dim infile As String
    Dim outfile As String
    infile = App.Path + "\test.pdf"
    outfile = App.Path + "\output.txt"

    txtmode = 1 '1,2
    pagebreak = 1 '0,1
    axPdftojpeg.XExtractText infile, "password", outfile, txtmode, pagebreak

    MsgBox "Convert finished!"
End Sub

Private Sub Demo_Click()
    Dim id As Long
    Dim pageCount As Long
    Dim i As Long
    Dim pageWidth As Long
    Dim pageHeight As Long
    
    Dim fsize As Long
    Dim fcolor As Long
    Dim isbold As Long
    Dim isitalic As Long
    Dim isunderline As Long
    Dim position As Long
    
    Dim infile As String
    Dim outpath As String
    infile = App.Path + "\test.pdf"
    outpath = App.Path + "\output\"
    
    id = axPdftojpeg.XLoad(infile, "")
    Select Case id
        Case -1
            MsgBox "PDF file unexist or damaged!"
            Exit Sub
        Case -2
            MsgBox "PDF file is restricted!"
            Exit Sub
    End Select

    axPdftojpeg.XSetParam id, outpath, IMAGE_FORMAT_JPG, 24, JPEG_PROGRESSIVE, 75, 0, 0, 0, 0, 0, 96, 96
    
    fsize = 16
    fcolor = 255 '//red
    isbold = 0
    isitalic = 1
    isunderline = 1
    position = 2 'Top-Center
    axPdftojpeg.XSetWatermark id, "Watermark", "Arial", fsize, fcolor, isbold, isitalic, isunderline, position, 0, 0
    
    pageCount = axPdftojpeg.XGetCount(id)
    For i = 1 To pageCount
        pageWidth = axPdftojpeg.XGetWidth(id, i)
        pageHeight = axPdftojpeg.XGetHeight(id, i)
    
        axPdftojpeg.XEncode id, i
        ProgressBar2.Value = Round((i * 100) / pageCount)
    Next

    axPdftojpeg.XFree (id)
    MsgBox "Convert finished!"
    
End Sub

Private Sub Demo2_Click()
    Dim id As Long
    Dim pageCount As Long
    Dim i As Long
    Dim fname As String
    
    Dim infile As String
    Dim outpath As String
    infile = App.Path + "\test.pdf"
    outpath = App.Path + "\output\"
    
    id = axPdftojpeg.XLoad(infile, "")
    Select Case id
        Case -1
            MsgBox "PDF file unexist or damaged!"
            Exit Sub
        Case -2
            MsgBox "PDF file is restricted!"
            Exit Sub
    End Select

    axPdftojpeg.XSetParam id, outpath, IMAGE_FORMAT_JP2, 24, 0, 75, 0, 0, 90, 800, 600, 120, 120
    
    pageCount = axPdftojpeg.XGetCount(id)
    For i = 1 To pageCount
        fname = "new_name" + Str(i)
        axPdftojpeg.XEncodeEx id, i, fname
        ProgressBar2.Value = Round((i * 100) / pageCount)
    Next

    axPdftojpeg.XFree (id)
    MsgBox "Convert finished!"
    
End Sub
