// exampleDlg.h : header file
//
//{{AFX_INCLUDES()
#include "pdftojpeg.h"
//}}AFX_INCLUDES

#if !defined(AFX_EXAMPLEDLG_H__8903FEDE_0B23_4602_9169_6F955E558F6C__INCLUDED_)
#define AFX_EXAMPLEDLG_H__8903FEDE_0B23_4602_9169_6F955E558F6C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
const IMAGE_FORMAT_JPG = 1;
const IMAGE_FORMAT_JP2 = 2;
const IMAGE_FORMAT_JPC = 3;

/////////////////////////////////////////////////////////////////////////////
const JPEG_PROGRESSIVE	= 1;//Progressive JPEG
const JPEG_BASELINE		= 2;//Baseline JPEG
const JPEG_OPT_BASELINE = 3;//Optimized baseline JPEG

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog

class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
	CProgressCtrl	m_progress;
	CPdftojpeg	m_pdftojpeg_ocx;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

private:
	void GetModulePath(char *out_path,char *in_name);

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__8903FEDE_0B23_4602_9169_6F955E558F6C__INCLUDED_)
