VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Begin VB.Form Form1 
   Caption         =   "vb"
   ClientHeight    =   3630
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   6540
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3630
   ScaleWidth      =   6540
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command1 
      Caption         =   "Extract Text"
      Height          =   375
      Left            =   960
      TabIndex        =   3
      Top             =   2400
      Width           =   4455
   End
   Begin ComctlLib.ProgressBar ProgressBar2 
      Height          =   375
      Left            =   960
      TabIndex        =   2
      Top             =   1920
      Width           =   4455
      _ExtentX        =   7858
      _ExtentY        =   661
      _Version        =   327682
      Appearance      =   1
   End
   Begin VB.CommandButton Demo2 
      Caption         =   "Convert to JPEG 2000 file"
      Height          =   375
      Left            =   960
      TabIndex        =   1
      Top             =   1440
      Width           =   4455
   End
   Begin VB.CommandButton Demo 
      Caption         =   $"Form1.frx":0000
      Height          =   375
      Left            =   960
      TabIndex        =   0
      Top             =   960
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function MLoad Lib "pdftojpeg.dll" (ByVal filename As String, ByVal password As String) As Long
Private Declare Function MEncode Lib "pdftojpeg.dll" (ByVal id As Long, ByVal pageno As Long) As Long
Private Declare Function MEncodeEx Lib "pdftojpeg.dll" (ByVal id As Long, ByVal pageno As Long, ByVal fname As String) As Long
Private Declare Function MFree Lib "pdftojpeg.dll" (ByVal id As Long) As Long
Private Declare Function MGetCount Lib "pdftojpeg.dll" (ByVal id As Long) As Long

Private Declare Function MSetParam Lib "pdftojpeg.dll" (ByVal id As Long, ByVal outpath As String, ByVal imagetype As Long, _
                                                            ByVal bitcount As Long, ByVal mode As Long, ByVal quality As Long, ByVal grayscale As Long, ByVal other As Long, _
                                                            ByVal rotate As Long, ByVal width As Long, ByVal height As Long, ByVal xdpi As Long, ByVal ydpi As Long) As Long
                                                            
Private Declare Function MGetWidth Lib "pdftojpeg.dll" (ByVal id As Long, ByVal pageno As Long) As Long
Private Declare Function MGetHeight Lib "pdftojpeg.dll" (ByVal id As Long, ByVal pageno As Long) As Long

Private Declare Function MSetWatermark Lib "pdftojpeg.dll" (ByVal id As Long, ByVal text As String, ByVal fontname As String, ByVal fontsize As Long, ByVal fontcolor As Long, _
                                                            ByVal isbold As Long, ByVal isitalic As Long, ByVal isunderline As Long, ByVal position As Long, _
                                                            ByVal xoff As Long, ByVal yoff As Long) As Long
Private Declare Function MExtractText Lib "pdftojpeg.dll" (ByVal infile As String, ByVal password As String, ByVal outfile As String, ByVal mode As Long, ByVal pagebreak As Long) As Long


'Image formats
Const IMAGE_FORMAT_JPG = 1
Const IMAGE_FORMAT_JP2 = 2
Const IMAGE_FORMAT_JPC = 3

'JPEG Mode
Const JPEG_PROGRESSIVE = 1  'Progressive JPEG
Const JPEG_BASELINE = 2     'Baseline JPEG
Const JPEG_OPT_BASELINE = 3 'Optimized baseline JPEG

Private Sub Command1_Click()
    Dim txtmode As Long
    Dim pagebreak As Long
        
    Dim infile As String
    Dim outfile As String
    infile = App.Path + "\test.pdf"
    outfile = App.Path + "\output.txt"

    txtmode = 1 '1,2
    pagebreak = 1 '0,1
    MExtractText infile, "password", outfile, txtmode, pagebreak

    MsgBox "Convert finished!"
End Sub

Private Sub Demo_Click()
    Dim id As Long
    Dim pageCount As Long
    Dim i As Long
    Dim pageWidth As Long
    Dim pageHeight As Long
    
    Dim fsize As Long
    Dim fcolor As Long
    Dim isbold As Long
    Dim isitalic As Long
    Dim isunderline As Long
    Dim position As Long
    
    Dim infile As String
    Dim outpath As String
    infile = App.Path + "\test.pdf"
    outpath = App.Path + "\output\"
    
    id = MLoad(infile, "")
    Select Case id
        Case -1
            MsgBox "PDF file unexist or damaged!"
            Exit Sub
        Case -2
            MsgBox "PDF file is restricted!"
            Exit Sub
    End Select

    MSetParam id, outpath, IMAGE_FORMAT_JPG, 24, JPEG_PROGRESSIVE, 75, 0, 0, 0, 0, 0, 96, 96
    
    fsize = 16
    fcolor = 255 '//red
    isbold = 0
    isitalic = 1
    isunderline = 1
    position = 2 'Top-Center
    MSetWatermark id, "Watermark", "Arial", fsize, fcolor, isbold, isitalic, isunderline, position, 0, 0
    
    pageCount = MGetCount(id)
    For i = 1 To pageCount
        pageWidth = MGetWidth(id, i)
        pageHeight = MGetHeight(id, i)
    
        MEncode id, i
        ProgressBar2.Value = Round((i * 100) / pageCount)
    Next

    MFree (id)
    MsgBox "Convert finished!"
    
End Sub

Private Sub Demo2_Click()
    Dim id As Long
    Dim pageCount As Long
    Dim i As Long
    Dim fname As String
    
    Dim infile As String
    Dim outpath As String
    infile = App.Path + "\test.pdf"
    outpath = App.Path + "\output\"
    
    id = MLoad(infile, "")
    Select Case id
        Case -1
            MsgBox "PDF file unexist or damaged!"
            Exit Sub
        Case -2
            MsgBox "PDF file is restricted!"
            Exit Sub
    End Select

    MSetParam id, outpath, IMAGE_FORMAT_JP2, 24, 0, 75, 0, 0, 90, 800, 600, 120, 120
    
    pageCount = MGetCount(id)
    For i = 1 To pageCount
        fname = "new_name" + Str(i)
        MEncodeEx id, i, fname
        ProgressBar2.Value = Round((i * 100) / pageCount)
    Next

    MFree (id)
    MsgBox "Convert finished!"
    
End Sub
